//+------------------------------------------------------------------+
//|                                                    MACD2line.mq4 |
//|                       Copyright ?2011, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright ?2011, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Yellow
//--- input parameters
extern int       MACD_fast=12;
extern int       MACD_slow=26;
extern int       MACD_period=9;
//--- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   
   for(int i=0;i<200;i++)
      {
          ExtMapBuffer1[i]=iMACD(Symbol(),0,MACD_fast,MACD_slow,MACD_period,PRICE_CLOSE,MODE_MAIN,i);
          ExtMapBuffer2[i]=iMACD(Symbol(),0,MACD_fast,MACD_slow,MACD_period,PRICE_CLOSE,MODE_SIGNAL,i);
      }
   return(0);
  }
//+------------------------------------------------------------------+