//+------------------------------------------------------------------+
//|                                             test12_indicator.mq4 |
//|                       Copyright ?2011, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright ?2011, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Green
#property indicator_color2 Orange
extern int time=60;
double ExtMapBuffer1[];
double ExtMapBuffer2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   int i=0;
   datetime duotime[];
   ArrayCopySeries(duotime,MODE_TIME,Symbol(),time);
   int y=0;
   for(i=0;i<100;i++)
     {
        if(Time[i]<duotime[y]) 
          {
            y++;
          }
        ExtMapBuffer1[i]=iCustom(Symbol(),time,"Rambo_Test12_BBands_2",0,y);
        ExtMapBuffer2[i]=iCustom(Symbol(),time,"Rambo_Test12_BBands_2",1,y);
     }
   return(0);
  }
//+------------------------------------------------------------------+